Page MenuHomePhabricator

Create a project/Space for WMF-CTO-Admin-Sensitive
Closed, ResolvedPublic

Description

The desired name of the project

WMF-CTO-Admin-Sensitive

The description of the project

A forum for tracking, managing, resolving, and documenting issues involving budget and personnel for WMF's Technology Department, together with WMF Finance staff. May also include Talent & Culture (T&C) issues.

An explanation of why there are repeatedly tasks in your project which should only be accessible by a defined group of people.

These issues will regularly including personnel, contractor, and line-item budget information that should not be shared publically.

The group lead (responsible for adding and removing people with access)

@JAufrecht

A list of all Phabricator usernames should be able to access objects in that project.

@VColeman @JAufrecht @ALau

Event Timeline

JAufrecht created this task.Nov 2 2017, 8:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 2 2017, 8:33 PM
JAufrecht renamed this task from Create a project for CTO-Admin-Sensitive to Create a project for WMF-CTO-Admin-Sensitive.Nov 2 2017, 8:35 PM
JAufrecht updated the task description. (Show Details)

When you create this project, please add proper links for cryptic abbreviations like "T&C". Thanks.

An explanation of why there are repeatedly tasks in your project which should only be accessible by a defined group of people.

Uh wait... is this a request for a Space and a project instead? As projects cannot have "group leads".

S14 already exists. https://phabricator.wikimedia.org/tag/acl_wmf-cto-team_policy_admins/ lists who can access S14. Are you explicitly asking for a separate Space, as the list of people who can access this new project is intentionally not the list of people who can access objects in S14?

Aklapper renamed this task from Create a project for WMF-CTO-Admin-Sensitive to Create a project/Space for WMF-CTO-Admin-Sensitive.Nov 3 2017, 12:24 PM
JAufrecht updated the task description. (Show Details)Nov 3 2017, 4:08 PM

Yes. Thank you for clarifying the title. This is a second private space, in addition to WMF-CTO-Team-Backlog, for tracking tasks that are shared between the WMF Technology department and other WMF departments.

Looks like about 10 projects or tasks accumulated in the "Projects to Create" column. Is this something that gets tackled once a week or something, or is there any sense of ETA?

Aklapper claimed this task.Nov 16 2017, 6:46 PM

Is this something that gets tackled once a week or something, or is there any sense of ETA?

There are >50 people who are able and welcome to create public projects (not: private Spaces) if there is a clear use case and if the projects follow the rules.

Aklapper closed this task as Resolved.Nov 16 2017, 6:52 PM
  • Regarding the project and its workboard:
  • Regarding the Space (a Space is not a project and hence there is no workboard):
    • For access control, created #acl*WMF-CTO-Admin-Sensitive_policy_admins. This defines access to tasks in the Space.
    • Created the private Space S16 ("WMF-CTO-Admin-Sensitive"). Its View and Edit policy is intentionally set to #acl*WMF-CTO-Admin-Sensitive_policy_admins and should not be changed.
    • @JAufrecht can add/remove users (who can create and access tasks in S16) via editing the members of #acl*WMF-CTO-Admin-Sensitive_policy_admins. Note that Phabricator admins could also add themselves (this is a fallback for when a team lead has left; we had that situation); if you watch the #acl*WMF-CTO-Admin-Sensitive_policy_admins project you'd get a notification about such an action.
    • Please do see Displaying and using a Space for more information. To create private tasks, use this task creation form: You must set Visible To: Space S16: WMF-CTO-Admin-Sensitive to create private tasks only accessible to members of S16 and nobody else.
  • For convenience, created Herald Rule H264: If Space is set to S16, add project: WMF-CTO-Admin-Sensitive. So tasks should end up on the workboard even if you forgot to add the project and only set the Space.
  • Documented the creation of S16 on https://www.mediawiki.org/wiki/Phabricator/Spaces